/************************************************************************
 *									*
 * sb.h									*
 *									*
 * Version 2.00 (24-Jun-1992)                                           *
 *                                                                      *
 * Starbase bitmap file							*
 * ======== ====== ====							*
 *									*
 *       byte offset    contents					*
 *       -----------    --------					*
 *       0              header structure (see below)			*
 *       256            color map (if present)				*
 *       arbitrary +    bitmap data					*
 *       arbitrary ++   user data (if present)				*
 *									*
 *       +  depends upon size of the color map				*
 *       ++ depends upon size of color map and bitmap data		*
 *									*
 ************************************************************************/


typedef struct {
        char file_id[16];       /* "Bitmapfile" */
        int rev;                /* revision of file format */
        char device_id[16];     /* device or driver name (e.g. hp300h) */
        int bm_loc;             /* offset in bytes to start of bitmap
                                   information bytes measured from the start of
                                   the file */
        int eod_loc;            /* byte offset of last byte of HP data in the
                                   file.  User data may be appended after this
                                   point. */
        int xstart,ystart;      /* upper left corner of source in pixels
                                   (This is pixel 0,0 in the file */
        int xlen,ylen;          /* x,y dimensions of bitmap in pixels */
        int bm_mode;            /* format of bitmap data:
                                         -1 -- pixel major full depth,
                                         -2 -- plane major full depth,
                                        >=0 -- plane major, single plane
                                        (source plane was this number.)
                                        (plane 0 = least significant.) */
        int depth;              /* number of bits stored per pixel.  This
                                   indicates how many planes were stored. */
        int pixel_align;        /* alignment of pixel data in the file.
                                   Allowable values are 1 and 8.
                                        1 means every bit is a pixel,
                                        8 means every byte is a pixel. */
        int num_banks;          /* Number of banks. Only relevant for pixel-
                                   major format. */
        int disp_en;            /* display enable mask of source */
        int cmap_mode;          /* color map mode:
                                        0 = normal color mode.
                                        1 = monotonic color mode.
                                        4 = full color mode. */
        int csize;              /* Number of color map entries */
        int back_index;         /* Index value of background color entry in
                                   the color map */
        char hp_extend[100];    /* Reserved for HP extensions */
        char user_extend[64];   /* Reserved for user extensions */
} bf_header;

int bf_header_descr[] =
                { 16,4,16, 4,4, 4,4, 4,4, 4,4,4,4, 4, 4,4, 4, 100,64, -1 };
