/************************************************************************
 *                                                                      *
 * xwd.h    MIT Project Athena, X Window system window raster		*
 *          image dumper, dump file format header file.			*
 *                                                                      *
 * Version 1.50 (23-Aug-1993)                                           *
 *                                                                      *
 ************************************************************************/



typedef struct {
        int header_size;        /* Size of the entire file header (bytes) */
        int file_version;       /* XWD_FILE_VERSION                       */
        int pixmap_format;      /* Pixmap format                          */
        int pixmap_depth;       /* Pixmap depth                           */
        int pixmap_width;       /* Pixmap width                           */
        int pixmap_height;      /* Pixmap height                          */
        int xoffset;            /* Bitmap x offset                        */
        int byte_order;         /* MSBFirst, LSBFirst                     */
        int bitmap_unit;        /* Bitmap unit                            */
        int bitmap_bit_order;   /* MSBFirst, LSBFirst                     */
        int bitmap_pad;         /* Bitmap scanline pad                    */
        int bits_per_pixel;     /* Bits per pixel                         */
        int bytes_per_line;     /* Bytes per scanline                     */
        int visual_class;       /* Class of colourmap                     */
        int red_mask;           /* Z red mask                             */
        int green_mask;         /* Z green mask                           */
        int blue_mask;          /* Z blue mask                            */
        int bits_per_rgb;       /* Log2 of distinct colour values         */
        int colourmap_entries;  /* Number of entries in colourmap         */
        int ncolours;           /* Number of colour structures            */
        int window_width;       /* Window width                           */
        int window_height;      /* Window height                          */
        int window_x;           /* Window upper left X coordinate         */
        int window_y;           /* Window upper left Y coordinate         */
        int window_bdrwidth;    /* Window border width                    */
} xwd_header;

int xwd_header_descr[] = { 4,4, 4,4,4,4, 4,4,4,4,4, 4,4, 4, 4,4,4, 4,4,4,
                           4,4, 4,4, 4, -1 };

typedef struct {
        unsigned int    pixel;
        unsigned short  red;
        unsigned short  green;
        unsigned short  blue;
        unsigned char   flags;
        unsigned char   pad;
} xwd_colour;

int xwd_colour_descr[] = { 4, 2,2,2, 1,1, -1 };
